# Interface RendererInfo

interface RendererInfo {
extensions: { [name: string]: boolean };
floatInterpolationEnabled?: boolean;
isWebGL2: boolean;
programCount?: number;
renderer?: string;
renderPasses: {
distance: {
drawableCount?: number;
drawnDrawableCount?: number;
renderScale?: number;
tileCount?: number;
};
lights: { drawnDrawableCount?: number; renderScale?: number };
};
sdf2dVersion?: string;
startupTimeInMilliseconds?: number;
vendor?: string;
[k: string]: any;
}

#### Indexable

- [k: string]: any

- Defined in graphics/rendering/renderer/renderer-info.ts:1

##### Index

### Properties

extensions
floatInterpolationEnabled?
isWebGL2
programCount?
renderer?
renderPasses
sdf2dVersion?
startupTimeInMilliseconds?
vendor?

## Properties

### extensions

extensions: { [name: string]: boolean }

- Defined in graphics/rendering/renderer/renderer-info.ts:6

### `Optional` floatInterpolationEnabled

floatInterpolationEnabled?: boolean

- Defined in graphics/rendering/renderer/renderer-info.ts:7

### isWebGL2

isWebGL2: boolean

- Defined in graphics/rendering/renderer/renderer-info.ts:2

### `Optional` programCount

programCount?: number

- Defined in graphics/rendering/renderer/renderer-info.ts:8

### `Optional` renderer

renderer?: string

- Defined in graphics/rendering/renderer/renderer-info.ts:4

### renderPasses

renderPasses: {
distance: {
drawableCount?: number;
drawnDrawableCount?: number;
renderScale?: number;
tileCount?: number;
};
lights: { drawnDrawableCount?: number; renderScale?: number };
}

- Defined in graphics/rendering/renderer/renderer-info.ts:9

### `Optional` sdf2dVersion

sdf2dVersion?: string

- Defined in graphics/rendering/renderer/renderer-info.ts:5

### `Optional` startupTimeInMilliseconds

startupTimeInMilliseconds?: number

- Defined in graphics/rendering/renderer/renderer-info.ts:21

### `Optional` vendor

vendor?: string

- Defined in graphics/rendering/renderer/renderer-info.ts:3